%define extraname tango-icon-theme-extras
%define extraversion 0.1.1

Summary:	Tango icon theme
Name:		tango-icon-theme
Version:	0.8.90
Release:	%mkrel 9
License:	Public Domain
Group:		Graphical desktop/Other
URL:		http://tango.freedesktop.org/Tango_Icon_Library#Download
Source0:	http://tango.freedesktop.org/releases/%{name}-%{version}.tar.bz2
Source1:	http://tango.freedesktop.org/releases/%{extraname}-%{extraversion}.tar.bz2
# http://www.gnome-look.org/content/show.php?content=41229
Source2:	tango_addon-0.5b.tar.bz2
Source3:	tango-icon-theme-xfce.tar.bz2
# From SUSE
Patch10:	tango-icon-theme-rsvg-2_35_2.patch
Patch11:	tango-icon-theme-extras-rsvg-2_35_2.patch
BuildArch:	noarch
BuildRequires:	intltool
BuildRequires:	imagemagick
BuildRequires:	imagemagick-devel
BuildRequires:	icon-naming-utils >= 0.8.90
BuildRequires:	librsvg
BuildRequires:	pkgconfig(librsvg-2.0)
Requires(post):		gtk+2.0
Requires(postun):	gtk+2.0

%description
This is an icon theme that follows the Tango visual guidelines.
It bundles with the extra icon set and additional %{_vendor} icons.

%prep
%setup -q -a 1 -a 2 -a 3
%apply_patches

cp %{extraname}-%{extraversion}/README README.extra
cp %{extraname}-%{extraversion}/AUTHORS AUTHORS.extra
cp %{extraname}-%{extraversion}/ChangeLog ChangeLog.extra

mv "tango addon" tango_addon
chmod 644 tango_addon/readme.txt
rm tango_addon/apps/gtk-close.svg

%build
autoreconf -vfi
./configure \
	--prefix=%{_prefix} \
	--enable-png-creation
%make

pushd %{extraname}-%{extraversion}
	autoreconf -vfi
	./configure \
		--prefix=%{_prefix} \
		--enable-png-creation
	%make
popd

%install
%makeinstall_std

pushd %{extraname}-%{extraversion}
	%makeinstall_std
popd

pushd tango_addon
	install -m 644 apps/* %{buildroot}%{_datadir}/icons/Tango/scalable/apps
	install -m 644 categories/* %{buildroot}%{_datadir}/icons/Tango/scalable/categories
popd

pushd tango-icon-theme-xfce
	install -m 644 scalable/apps/* %{buildroot}%{_datadir}/icons/Tango/scalable/apps
popd

#for ghost
touch %{buildroot}%{_datadir}/icons/Tango/icon-theme.cache

ln -s mozilla-firefox.svg %{buildroot}%{_iconsdir}/Tango/scalable/apps/firefox.svg

# don't ship some icons that look like Mandriva ones
rm -f %{buildroot}%{_iconsdir}/Tango/scalable/apps/{drakconf,mandrake,mandriva}.svg

# rename mandrivaupdate.svg to mageiaupdate.svg
mv %{buildroot}%{_iconsdir}/Tango/scalable/apps/mandrivaupdate.svg \
   %{buildroot}%{_iconsdir}/Tango/scalable/apps/mageiaupdate.svg

## Originally from Arch Linux:
pushd %{buildroot}%{_iconsdir}/Tango

# function using imagemagick to combine symbols with default folder-icon
# used below to create xdg-folders
	comp() {
		composite -gravity center \( ${size}x${size}/"$1".png -resize 50% \) \
		${size}x${size}/places/folder.png ${size}x${size}/places/folder-"$2".png
	}

	for size in 16 22 24 32 48 64 72 96 128; do
		# create icon for category "Education"
		ln -s "../status/dialog-information.png" \
		"${size}x${size}/categories/applications-science.png"

		# create xdg-folders
		comp apps/internet-web-browser publicshare
		comp actions/go-down download
		comp actions/document-properties templates
		comp mimetypes/audio-x-generic music
		comp mimetypes/image-x-generic pictures
		comp mimetypes/video-x-generic videos
		comp mimetypes/x-office-document documents
	done

	ln -s "../status/dialog-information.svg" \
		"scalable/categories/applications-science.svg"

popd

%post
%update_icon_cache Tango

%files
%doc README* AUTHORS* ChangeLog* COPYING
%doc tango_addon/readme.txt
%dir %{_datadir}/icons/Tango/
%{_datadir}/icons/Tango/16x16/
%{_datadir}/icons/Tango/22x22/
%{_datadir}/icons/Tango/24x24/
%{_datadir}/icons/Tango/32x32/
%{_datadir}/icons/Tango/48x48/
%{_datadir}/icons/Tango/64x64/
%{_datadir}/icons/Tango/72x72/
%{_datadir}/icons/Tango/96x96/
%{_datadir}/icons/Tango/128x128/
%{_datadir}/icons/Tango/scalable/
%{_datadir}/icons/Tango/index.theme
%ghost %{_datadir}/icons/Tango/icon-theme.cache



%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.8.90-9.mga3
+ Revision: 384036
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 19 2012 wally <wally> 0.8.90-8.mga3
+ Revision: 332815
- update extras to 0.1.1 (source from SUSE)
- add rsvg patches (from SUSE)
- add missing xdg dirs (from Arch)
- remove useless postun script

* Tue Dec 18 2012 wally <wally> 0.8.90-7.mga3
+ Revision: 332657
- clean .spec

* Sat May 21 2011 ahmad <ahmad> 0.8.90-6.mga1
+ Revision: 99997
- Replace a reference to Mandriva with Mageia

* Fri Feb 18 2011 ahmad <ahmad> 0.8.90-5.mga1
+ Revision: 53373
- rename mandrivaupdate.svg to mageiaupdate.svg
- drop old obsoletes/provides
- don't ship some icons that look like Mandriva ones :/
- imported package tango-icon-theme

